CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [options]

Différentes interfaces en ligne de commande utiles pour dépanner calibre. Sans options, cette commande démarre un interprétateur Python intégré. Vous pouvez également exécuter l’interface utilisateur principale de calibre, la visionneuse de calibre et l’éditeur de calibre en mode dépannage.

Il contient également des interfaces vers différentes parties de calibre qui n’ont pas d’outils en ligne de commande dédiés, comme le sous-ensemble de police, l’outil diff e-book etc.

Vous pouvez également utilisez calibre-debug pour exécuter des scripts autonomes. Pour faire cela utilisez-le comme ceci :

calibre-debug myscript.py -- --option1 --option2 file1 file2 …

Tout ce qui se trouve après le -- est pris en charge par le script.

Chaque fois que vous passez à calibre-debug des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: « /some path/with spaces »

[OPTIONS]

--add-simple-plugin
    Ajouter une extension simple (par ex. une extension qui consiste en un unique fichier .py), en spécifiant le chemin vers le fichier py contenant le code de l'extension.

--command, -c
    Exécuter du code Python.

--debug-device-driver, -d
    Déboguer la détection du périphérique

--default-programs
    (Dés)enregistrer calibre des Programmes par Défaut de Windows --default-programs = (register|unregister)

--diff
    Exécuter l'outil calibre diff. Par exemple: calibre-debug --diff fichier1 fichier2

--edit-book, -t
    Lancez l’Éditeur de livre calibre en mode débogage.

--exec-file, -e
    Exécuter le code Python dans le fichier

--explode-book, -x
    Décompacte le livre dans le répertoire spécifié. Utilisation : -x file.epub output_dir Exporte le livre comme une collection de fichiers HTML et de métadonnées, qui peuvent être édités en utilisant des outils standards d'édition HTML. Fonctionne avec des fichiers EPUB, AZW3, HTMLZ et DOCX

--export-all-calibre-data
    Exporter toutes les données calibre (livres/paramètres/extensions)

--gui, -g
    Exécuter le GUI avec le débogage activé. La sortie de débogage est inscrite dans stdout et stderr.

--gui-debug
    Exécuter le GUI avec une console de débogage, inscrite à l'emplacement spécifié. Pour usage interne uniquement, utiliser l'option -g pour exécuter le GUI en mode débogage.

--help, -h
    affiche ce message d'aide et quitte

--implode-book, -i
    Re-compacter un livre précédemment décompacté. Utilisation : -i output_dir file.epub Importe le livre depuis les fichiers dans output_dir qui avaient été créé par une un appel précédent à call to --explode-book. Assurez-vous de spécifier le même type de fichier que celui utilisé lors du décompactage.

--import-calibre-data
    Importer les données calibre précédemment exportées

--inspect-mobi, -m
    Inspecter le(s) fichier(s) MOBI à/aux (l')emplacement(s) spécifié(s)

--paths
    Sort les emplacements nécessaires pour configurer l'environnement de calibre

--reinitialize-db
    Réinitialiser la base de données sqlite de calibre à l'emplacement spécifié. Utile pour récupérer une base de données corrompue.

--run-plugin, -r
    Exécuter une extension qui fournit une interface en ligne de commande. Par exemple : calibre-debug -r "Add Books" -- file1 --option1 Tout ce qui se trouve après le -- sera passé à l'extension en tant qu'arguments.

--shutdown-running-calibre, -s
    Provoque la fermeture de la session de calibre en cours (si elle existe). Remarquez que s’il y a des tâches en cours, elles seront annulées sur le champ. À utiliser avec prudence.

--subset-font, -f
    Créer un sous-ensemble avec les polices spécifiées. Utilisez -- après cette option pour passer l'option au programme de sous-ensembles de police.

--test-build
    Tester les modules binaires en construction

--version
    affiche le numéro de version du logiciel et quitte

--viewer, -w
    Exécuter la visionneuse de livre numérique en mode débogage

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal